﻿init:
    image Jessie = "chars/jessie_normal.png"
    image Jessie alarmed = "chars/jessie_alarmed.png"
    image Jessie annoyed = "chars/jessie_annoyed.png"
    image Jessie frown = "chars/jessie_frown.png"
    image Jessie happy = "chars/jessie_happy.png"
    image Jessie sad talking = "chars/jessie_sad_talking.png"
    image Jessie vhappy = "chars/jessie_very_happy.png"
    image Jessie embarrassed = "chars/jessie_embarrassed.png"
    image Jessie embarrassed open = "chars/jessie_embarrassed_open.png"
    image Jessie blush smile = "chars/jessie_blush_smile.png"
    image Jessie sad = "chars/jessie_sad.png"
    image Jessie huh = "chars/jessie_huh.png"
    image Tessa = "chars/tessa_normal.png"
    image Tessa sad = "chars/tessa_sad.png"
    image Tessa unsure = "chars/tessa_unsure.png"
    image Tessa sad shout = "chars/tessa_sad_shout.png"
    image Tessa embarrased smile = "chars/tessa_embarrassed_smile.png"
                                                               
    
    # Backgrounds
    image Clothes store = "bgs/clothes_store.jpg"
    image Clothes store 2 = "bgs/clothes_store2.jpg"
    image Phone store = "bgs/phone_store.jpg"
    image Phone store full = "bgs/phone_store_full.jpg"
    image Shopping centre = "bgs/shopping_centre.jpg"
    image Shopping centre exit = "bgs/shopping_centre_exit.jpg"
    image Shopping centre outside = "bgs/shopping_centre_outside.jpg"
    image Cafe outside = "bgs/cafe_outside.jpg"
    image Park = "bgs/park.jpg"
    image Street = "bgs/street.jpg"
    image Forgotten = "lay/forgotten_vision.png"
    image mainmenu = "lay/mainmenu_ground.png"
    image Credit = "lay/credit.png"
    
    

    # Declare characters used by this game.
    $ j = Character('Jessie', color="#c6aeec")
    $ t = Character('Tessa', color="#e5ce29")
    $ l = Character('Luna', color="#bd0703")
    
    $ left = Position(xpos=0.15, xanchor='left')
    $ right = Position(xpos=0.85, xanchor='right')


# The game starts here.
label splashscreen:
    scene Forgotten with dissolve
    pause 3
    scene mainmenu with dissolve
    return
    

label Credits: 
    scene Credit with dissolve
    pause
    scene mainmenu with dissolve
        
    return

label start:
    centered "It was just any other Saturday..."
    centered "Nothing unusual about it at all..."
    centered "I never would have imagined that just one moment..."
    centered "One argument..."
    stop music fadeout 3
    centered "Could change so much."
    play music "bgm/spring-n01.mp3" fadein 3.0
    show Phone store full with dissolve:
        xalign 0.0 yalign 1.0
        ease 8.0 xalign 1.0        
    "I was pretty stuffed from the lunch that we'd just had as I stood near the entrance to a mobile phone store, vaguely interested in the shelves of brightly coloured phone charms next to me."
    "I didn't need to buy anything, but Tessa wanted to get herself a new mobile phone since she'd managed to lose her old one."
    "It was pretty necessary for her to have one, really, since we couldn't contact her any other way. {w}She lived on the other side of town to me and Jessie."
    "She couldn't contact us using the internet either because her father believed that the internet wasn't safe for a girl her age.{w} She's sixteen!"
    "For all of us, Saturdays were about having fun and spending time with friends.{w} We didn't go shopping every Saturday, but we met up every few weeks. It was usually great fun, although it could get boring at times."
    "Such a time was right now, I've been waiting for Tessa to choose what phone she wants for almost fifteen minutes. She's useless at making decisions, even with Jessie helping her."
    hide Phone store full
    scene Phone store
    show Jessie with dissolve
    j "What about this one?"
    show Jessie at left with move
    show Tessa at right with dissolve
    t "Oh... um... I'm not sure."
    j "This one has a five megapixel camera on it. Do you reckon you'll need that?"
    show Tessa unsure at right with dissolve
    t "Erm... what's a megapixel?"
    "{i}Sigh{/i}"
    "As much as I like the both of them, this is getting tiresome."
    "Maybe I should go and take a quick walk while Tessa decides. {w}Jessie is much more knowledgeable about technology than I am."
    "There's that new clothes store that opened last week. We were all planning on going over there later on but maybe I should go and take a quick peek now?"
    menu:
        "Go to the clothes store.":
            jump clothes_store        
        "Stay here and wait.":
            jump mobile_phone_store
            
label mobile_phone_store:
    $ clothes_store = False 
    "Nah. I'll wait here for them. It's probably better if we go as a group."
    scene Phone store with fade
    "Another ten minutes later Tessa had purchased the mobile phone that she wanted and we were all heading out of the store."
    "I was rather relieved since patience isn't always one of my strong suits, but I guess waiting ten minutes wasn't too much hardship."
    scene Shopping centre with dissolve
    show Tessa at right
    show Jessie at left
    j "So where shall we go now?"
    t "I've um... bought everything I need now... so wherever... I guess."
    l "How about that new clothes store that opened?"
    show Jessie happy at left with dissolve
    j "Oh yeah! I almost forgot about that!"
    l "You should be glad that I reminded you then."
    show Jessie at left with dissolve
    j "Eh. You have too many clothes already Luna. Do you really need more? You buy something almost every time we come shopping!"
    l "I like to have a versatile wardrobe that's ready for any eventuality."
    l "It couldn't hurt to take a look, right? I don't {i}have{/i} to buy anything."
    l "And Tessa, didn't you say that you wanted to look in there as well?"
    t "Oh... um... I guess."
    j "Okay then, we'll go. I'm just sayin' Luna, you'll have no space left for your clothes if you don't keep an eye on your spending."
    l "You sound like my mum and that's {i}never{/i} a good thing!"
    show Jessie happy at left with dissolve
    j "Haha... I guess you're right on that one."
    t "Aren't we going... then?"
    j "Right you are Tessa, right you are."
    j "Lets go then!"
    scene Clothes store with dissolve
    "The store was very modern with freshly laid wooden floors and polished metal clothes racks that sparkled in the light."
    "There were a few people browsing the clothes as we entered the shop. {w}I smiled at the woman working at the till as I passed, my eyes scanning the clothes for something nice."
    show Jessie with dissolve
    j "Oh, this is nice isn't it?"
    "Jessie held up a slinky black top with silver sequins dotted around it like stars."
    menu:
        "No, I think that it would make you look like a whore.":
            $ clothes_whore = True
            show Jessie annoyed with dissolve
            j "What?! {w}No it wouldn't! That's not true."
            j "It's a nice t-shirt, isn't it Tessa?"
            show Jessie annoyed at left with move
            show Tessa at right with dissolve
            t "Oh um... I think that is a bit mean of you Luna..."
            t "Jessie wouldn't look like an... um... y'know..."
            
        "It's a nice top but I don't think it would suit you.":
            $ clothes_whore = False
            j "Heh, you might be right there. Now that I think about it I don't really have a need for a top like this."
            show Jessie happy with dissolve
            j "I think we all know I'm a good old-fashioned jeans and t-shirt girl."
    scene Clothes store 2 with fade
    "We spent about ten minutes browsing before we left the clothes store."
    if clothes_whore == False:
        "I had seen a skirt that had immediately screamed 'Buy me!' at me, but Jessie had managed to convince me that I didn't need it."
        "She was the voice of reason for the group sometimes. Tessa would be far too shy to try and talk anybody out of anything."
    else:
        "I had seen a skirt that had immediately screamed 'Buy me!' at me and ended up getting it."
        "I could see Jessie's disapproval out of the corner of my eye. She would usually step in and stop me from spending too much but she didn't today."
        "I think that she was still sore about saying that the top would make her look like a whore. She liked that top but I was only being honest!"
    jump mall_exit

label clothes_store:
    $ clothes_store = True 
    "I think I'll go to the store. There's no point waiting around here, I really want to check out those new clothes!"
    l "Hey guys, do you mind if I nip down to the new clothes store that opened?"
    show Jessie frown at left with dissolve
    j "Why don't you wait for us, I'm sure that Tessa will have chosen her phone in the next few minutes..."
    j "Or hours..."
    j "Or days!"
    show Jessie happy at left with dissolve
    l "Come on you two, you know I really hate waiting around."
    show Jessie frown at left with dissolve
    j "Why are you in such a hurry? We'll be done soon, jeez!"
    l "I'm not in a hurry, I just dislike waiting around."
    show Tessa sad at right with dissolve
    t "I'm sorry I'm taking so long Luna!"
    j "Aren't friends supposed to stick around with each other and not run off?"
    l "I'm not running off, I'm just nipping over to the store. It's only around the corner."
    j "Hmph."
    l "When you're done here, come and meet me in the store and we can all have a look."
    t "Um... okay."
    j "Whatever."
    "I gave a quick wave goodbye then exited the phone store, leaving them to sort out Tessa's new mobile."
    scene Clothes store with dissolve
    "The store was very modern with freshly laid wooden floors and polished metal clothes racks that sparkled in the light."
    "There were quite a few good looking skirts but as I looked around, my heart wasn't really in it."
    "Nothing popped out at me, nothing screamed 'Buy me!'."
    l "Well that was a waste of time. And now Jessie is pissed at me."
    "So I stepped outside the clothes store and waited for Jessie and Tessa to turn up."
    scene Shopping centre with dissolve
    "I was only waiting a minute when I spotted them walking towards the shop. I must have spent longer in the clothes store than I thought."
    "Tessa was carrying a plastic bag, she must have picked out her mobile phone then."
    show Jessie at left with dissolve
    show Tessa at right with dissolve
    l "Hi you two. Do you want to have a look inside?"
    l "I already had a look, there doesn't seem to be anything brilliant but there were a few skirts that caught my eye. Maybe you could help me decide on one?"
    show Jessie sad talking at left with dissolve
    j "Nah."
    l "What do you mean... nah?"
    show Jessie frown at left with dissolve
    j "I mean what nah means... nah."
    l "So you don't want to go into the shop? Is that what you mean?"
    show Jessie sad talking at left with dissolve
    j "Yeah. I {i}did{/i} want to go but, y'know... I changed my mind."
    "Oh wonderful! She's still in a sulk with me."
    l "Look, I was just getting bored standing there. I wasn't doing anything anyway, just standing there like a lemon."
    j "That's got nothing to do with this."
    j "I just don't want to go in there now. Like you said, there's nothing brilliant in there."
    l "Right... okay..."
    l "Well didn't you want to go in Tessa?"
    show Tessa unsure at right with dissolve
    t "Um... I'm not really bothered..."
    "So none of them want to go to the clothes store now? Is this all because I left early? Jeez!"
    l "Well do we have anywhere else we need to go?"
    show Tessa at right with dissolve
    t "I've got my phone now, so I've bought everything I need."
    j "We might as well head outside now."
    l "..."
    l "Okay then."
    "We navigated the shopping centre {nw}"
    scene Shopping centre exit with dissolve
    extend "and walked outside into the dimmed sun."
    
label mall_exit:
    scene Shopping centre outside with dissolve
    "The weather was pretty mild. It was kind of nice. Not too hot and not too cold."
    "Now that we had most of our shopping done the rest of our time would probably be spent just hanging around and maybe getting something to eat."
    "{i}Rumble.{/i}"
    "My stomach reminded me that it was hungry. I hadn't eaten since breakfast and it was 2pm now."
    l "Shall we go and get something to eat? I'm starving."
    show Jessie with dissolve
    if clothes_store == True:
        show Jessie frown at left with move
        show Tessa at right with dissolve
        j "I'm not hungry. Tessa and I grabbed a doughnut while you were in the clothes store."
        "Oh. I guess Tessa must have spent less time picking out her new mobile than I thought."
        l "Well I'm hungry. Why don't we pop in a cafe in one of the streets around here?"
        j "Hmph."
        j "I guess so."
        t "I'd like a cup of tea..."
        show Jessie happy at left with dissolve
        j "Alright then! Lets go!"
        "Wow. Her attitude certainly changed in a flash."
    elif clothes_whore == True:
        show Jessie frown with dissolve
        j "I'm not hungry."
        l "Are you sure, I haven't noticed you eating anything since we met up."
        j "Hmph. Well maybe I don't want to turn into a {i}fat whore.{/i}"
        l "Oh for God sake! I was only messing with you."
        l "I weren't trying to say that you were a whore Jess! You know I wouldn't do that."
        j "Yeah well you did call me a whore."
        l "Please... can we just go and get something to eat?"
        l "Why don't we pop in a cafe in one of the streets around here?"
        j "..."
        j "Fine."
    else:
        j "I've not had much to eat, maybe it would be a good idea."
        j "Have you eaten today Tessa?"
        show Jessie at left with move
        show Tessa at right with dissolve
        t "I um... had cereal for breakfast this morning..."
        t "And I had a chocolate bar when I was waiting for you two to arrive..."
        t "But other than that..."
        l "Well I think it's settled then."
        l "Why don't we pop in a cafe in one of the streets around here?"
        j "Sounds good."
        t "Yeah. I'd like a cup of tea."
    scene Cafe outside with dissolve
    "We found a cafe just around the corner, like I said there would be, and ordered some food."
    "The weather had quickly brightened up and the cafe was quite busy, so we decided to go outside to eat."
    "We took our food and headed down do the park where we could eat our food in some nice, peaceful surroundings."  
    scene Park with dissolve
    show Jessie at left with dissolve
    j "I'm glad that we came out here to eat, it's much nicer than inside that stuffy cafe."
    show Tessa at right with dissolve
    t "Y-yeah."
    t "The food... is nice too."
    l "It is."
    if clothes_store == True:
        jump park_clothes_store_true
    elif clothes_whore == True:
        jump park_clothes_whore_true
    else:
        jump park        
label park_clothes_store_true:
    l "So, Jessie, is there anybody that you like at school?"
    show Jessie embarrassed at left with dissolve
    j "What? No! What makes you say that?!"
    l "Oh nothing really..."
    l "It's just that I saw you with Adam the other day..."
    show Jessie embarrassed open at left with dissolve
    j "It's not what you think!"
    show Jessie happy at left with dissolve
    j "We're just friends. He's in my History class."
    l "I never suggested that you were anything more than friends."
    l "But... now that you mention it, you two did seem rather close..."
    show Jessie alarmed at left with dissolve
    j "Stop it Luna!"
    j "We both know that {i}you're{/i} the one who likes Adam!"
    t "I didn't know that you liked Adam, Luna."
    l "So what if I do?!"
    l "At least I'm not hiding it!"
    show Jessie frown at left with dissolve
    j "Very subtle Luna."
    j "You've already abandoned us once today, do you really need to act like a bitch too?"
    stop music fadeout 3
    menu:
        "Apologise to Jessie.":
            $ park_apology = True
            play music "bgm/sleep-a02.mp3" fadein 2
            l "Okay Jessie, I guess you're right. I'm sorry."
            show Jessie sad talking at left with dissolve
            j "I guess... it's all right..."
            j "I suppose..."
            show Jessie blush smile at left with dissolve
            j "I do like Adam."
            "I already figured that part out, Jessie, but that isn't the problem is it?"
            l "Well I like him too."
            show Jessie sad at left with dissolve
            pause 2
            "There was an uneasy silence between us all for a moment. None of us knew what to say now."
            "Both Jessie and I liked Adam and we were both quite confident people. Was Jessie willing to back down to save our friendship?"
            "Maybe we could both be mature enough to solve this without falling out with each other."
            "But when I thought about Jessie's reaction to me going to the clothes store earlier, this didn't seem like a very likely outcome."
            l "How long... have you liked Adam for?"
            j "Quite a while. Since the start of the school year, I suppose."
            j "That was the first time that he was in my history class and I guess that I just..."
            l "Well I like him too."
            l "And I won't back down."
            show Jessie huh at left with dissolve
            j "Huh?"
            l "We both like the same boy and I'm not going to back down."
            l "I've known Adam since we started at our school. {i}You{/i} know that. You know that we were friends..."
            l "You knew that I cared about Adam..."
            show Jessie frown at left with dissolve
            j "This has nothing to do with you."
            j "This is about how I feel about Adam. Not you, Luna."
            l "But unless you're willing to back down, then I don't know how this is going to work out because you clearly are bad for holding grudges."
            l "Just look at how you keep bringing up that clothes store crap for!"
            j "Well you're the one bringing it up now!"
            l "That's not the point!"
            l "What I'm saying is that I don't think us two can be friends if you're going to be like this..."
            show Tessa sad at right with dissolve
            t "Please don't fight, you two!"
            t "We're all friends!"
            show Jessie annoyed at left with dissolve
            j "Apparently not!"
            show Jessie sad at left with dissolve
            j "I'm... sorry... Luna..."
            j "But I love Adam..."
            j "And he's worth more than you are."
            "Her words hurt. We had been friends for so long."
            l "So... this is it?"
            l "You're just going to run off with Adam and forget that I'm your friend?!"
            j "You were the one who said that it wouldn't work, and you're right."
            j "I'm sorry Luna."
            stop music fadeout 1.0
            scene black with dissolve
            centered "And that was it."
            centered "Jessie and I weren't really friends after that."
            centered "I still hung around with Tessa sometimes, but it wasn't the same."
            centered "Jessie asked Adam out and he said yes."
            centered "They were a cute couple."
            centered "I'm happy for them."
            centered "Really..."
            centered "I am..."
            centered "Ending 3 of 4"
            return
        "Say that you're not being a bitch.":
            jump park_bitch
label park_bitch:
    play music "bgm/sleep-a02.mp3" fadein 2
    l "You're talking out of your arse, Jessie. I'm not being a bitch, you're just being too sensitive."
    l "If you like Adam then just admit it!"
    show Jessie annoyed at left with dissolve
    j "Fine then! I'll admit it. I love Adam."
    j "And do you know what? I don't give a crap if you like him or not!"
    j "You've been such a bitch today, Luna. It's not on."
    l "You're just being too sensitive Jessie. It's not me, it's you!"
    l "And I thought that you were my best friend, shouldn't you care if I like Adam?"
    j "Well you don't care that I do!"
    l "Of course I care that you do!"
    show Jessie frown at left with dissolve
    j "You've been acting like a right prat today, is it because of Adam?"
    l "What?"
    j "You're jealous aren't you?"
    l "{i}What?{/i}"
    j "You're jealous of how I feel about Adam and you know that he loves me {b}too{/b}!"
    l "That's ridiculous!"
    l "It's obvious that Adam doesn't love you."
    show Jessie annoyed at left with dissolve
    j "Oh yeah? And who else would he love? You?!"
    show Tessa sad at right with dissolve
    t "Can you two stop arguing. We're friends!"
    l "If Jessie keeps this up then I certainly won't be saying that we're friends!"
    j "You took the words right out of my mouth!"
    t "Why don't you settle this like... nicely?"
    j "Because Luna is being a bitch like she has been all day!"
    j "You were upset that Luna left us in the phone store, weren't you?"
    t "I..."
    j "You're annoyed about Luna being mean just like I am!"
    t "I never said..."
    j "But you are!"
    l "Stop pushing Tessa into an answer!"
    j "I'm just trying to get her to tell the truth..."
    l "I said don't push her! You're being the bitch now!"
    j "Do you know what, I don't know why I was ever your friend."
    l "Me either! You're an ugly, selfish {i}cow{/i}."
    show Tessa sad shout at right with dissolve
    t "WILL YOU TWO JUST STOP ARGUING?!"
    hide Tessa sad shout at right with moveoutright
    stop music fadeout 1
    scene Street with dissolve
    play music "bgm/snow_scene-k04.mp3" fadein 1
    "Tessa was so upset with us that she ran off."
    "She ran away from the park and back towards her house."
    "Jessie and I were still back at the park arguing. If we'd had known... we would have ran after Tessa immediately."
    "Tessa hated us for arguing over something so petty. We were her only friends and she relied on us."
    "So she was distraught at the idea of us falling out with each other."
    "It would mean that she would have to pick between us. She would be caught in the middle, and that thought just upset her."
    "So when she was running home, she wasn't looking where she was going."
    "She tripped over her own foot and fell over..."
    "She fell..."
    "And smacked her head on the railing between the pavement and the road..."
    scene black with dissolve
    centered "A pedestrian found her and phoned for an ambulance."
    centered "She was unconscious with a large, bleeding wound right on the top of her head."
    centered "The fall had been awkward and the rail had smashed right into the top of her skull."
    centered "Tessa was in a coma for a few weeks before she woke up."
    centered "She was eventually discharged..."
    centered "But she's now permanently disabled because of the brain damage."
    centered "Yet she doesn't blame me."
    centered "Even if it was entirely my fault..."
    centered "If I had known what would have happened..."
    centered "All because of a stupid argument..."
    centered "I would have never even gone out that day."
    stop music fadeout 1
    centered "Ending 2 of 4."
    return
    
label park_clothes_whore_true:
    l "Hey Jessie..."
    j "Yeah?"
    l "Is there anyone that you like at school?"
    play music "bgm/sleep-a02.mp3" fadein 2
    show Jessie embarrassed at left with dissolve
    j "What? No! What makes you say that?!"
    l "Oh nothing really..."
    l "It's just that I saw you with Adam the other day..."
    show Jessie embarrassed open at left with dissolve
    j "It's not what you think!"
    show Jessie happy at left with dissolve
    j "We're just friends. He's in my History class."
    l "Oh... right."
    show Jessie frown at left with dissolve
    j "Don't you believe me?"
    l "Well, when I saw you both, you looked really close."
    show Jessie sad at left with dissolve
    j "Don't you... like Adam too?"
    l "I..."
    j "You do... don't you?"
    "I did. I've liked Adam for a very long time. I never really said it out loud, but it was something that they both knew."
    "I had just never had the courage to ask him out, or tell him how I feel."
    "We were both friends and I didn't want to ruin our relationship. I'd rather spend my time just as his friend and be with him, than risk losing him."
    l "Yeah... yeah I do."
    show Jessie frown at left with dissolve
    j "But... you can't."
    j "Because I love him! Adam... he has to love ME!"
    l "Jessie. You don't need to be so... angry about it."
    show Jessie annoyed at left with dissolve
    j "I'm not angry, you're the one who's suddenly started being into Adam!"
    l "ME?"
    l "I'm not the one who just started confessing her love for him! You both know that I've liked Adam for ages."
    show Tessa sad at right with dissolve
    t "Well... um..."
    t "I don't really want to take sides..."
    j "You're just doing this because I admitted how I feel about Adam!"
    l "That's just stupid. You're the only one who just started fawning over him."
    j "I've liked him ever since I started History class with him!"
    l "Don't give me that crap."
    j "What? Are you calling me a whore then?"
    j "Just like you were calling me before in the clothes store?"
    l "For the love of..."
    l "Will you just give it a rest?! You keep going on and on about unimportant crap like that and you're getting on my nerves!"
    j "I'm getting on {i}your{/i} nerves?! You were the one that called me a whore!"
    l "I didn't!"
    j "Yes you DID!"
    l "Oh screw this..."
    j "Yeah just walk away you coward!"
    l "I don't ever want to talk to you again!"
    j "I don't want to talk to you EITHER! I don't even want to see you, bloody whore!"
    l "YOU'RE THE WHORE!"
    "I couldn't handle arguing with Jessie like this so I stormed off out of the park."
    scene Street with dissolve
    "At first I had ran off in anger at Jessie. She was being such a prat about things and she held insanely strong grudges over the smallest things."
    "But as I walked back home, I started to cry."
    "Jessie was my best friend and she meant a lot to me. I hated arguing with her, and she'd said that she never wanted to see me again."
    "Would this all blow over? I hoped that it would. But I couldn't just throw my feelings for Adam aside."
    "Was it right that Jessie could try to find her happiness with him, and I couldn't?"
    "It didn't seem like it to me..."
    "{i}Sob.{/i}"
    "That was when..."
    stop music fadeout 2
    scene black with dissolve
    centered "The car hit me."
    centered "I hadn't been paying attention when I was crossing the road because I was too upset."
    centered "The driver hadn't been expecting me to walk out into the street."
    centered "It drove into me at full force."
    centered "There was just a sudden blackness."
    centered "By the time that the driver had got out of the car and called an ambulance..."
    centered "I was dead."
    centered "Ending 4 of 4."
    return
    
label park:
    l "Hey Jessie?"
    j "Yeah?"
    l "Is there anyone that you like at school?"
    l "You know... like a boy?"
    play music "bgm/sleep-a02.mp3" fadein 2
    show Jessie embarrassed at left with dissolve
    j "What? No! What makes you say that?!"
    l "Oh nothing really..."
    l "It's just that I saw you with Adam the other day..."
    show Jessie embarrassed open at left with dissolve
    j "It's not what you think!"
    show Jessie happy at left with dissolve
    j "We're just friends. He's in my History class."
    l "How close are the two of you?"
    show Jessie embarrassed at left with dissolve
    j "Well... I kinda hung out with him at lunch the other day..."
    l "Oh?"
    show Jessie blush smile at left with dissolve
    j "Yeah."
    j "He's really kind to me and smart too. He's always helping me out in History class."
    j "But Luna, don't you like Adam too?"
    l "I... what makes you say that?"
    j "I've seen how you are with him. I know you two are really close friends and all..."
    show Jessie sad at left with dissolve
    j "I just kinda figured..."
    j "You're not going out with him... are you?"
    l "N-no..."
    l "We are both really close friends, we've known each other for a long time."
    l "And I guess... I did think... that I might have fallen in love with him..."
    l "But I'd rather be his friend."
    show Jessie happy at left with dissolve
    l "If we went out with each other and then broke up it would ruin our friendship."
    l "It means much more to me that he's my friend."
    show Jessie sad talking at left with dissolve
    j "Are you sure?"
    l "Why?"
    j "Because..."
    j "I'm going to ask him out."
    "I wasn't exactly sure how I felt about this. I did love Adam, but maybe I did love our friendship more."
    "And this was a chance for Jessie to be happy, if she truly did love him then did I have the right to get in her way?"
    "I don't think that I'll ever summon up the courage to ask him out, so why should I jealously try to hide him away from Jessie?"
    "She's my best friend and I want her to be happy, even if I'll cause some unhappiness to myself as well..."
    l "I'm sure."
    l "Go on, ask him out."
    l "If he says yes, then I'll be happy for you."
    l "If he says no, then I'll be here for you."
    show Jessie vhappy at left with dissolve
    j "You mean it?"
    l "I do."
    j "Thank you so much Luna!"
    t "Um... I have to get home soon."
    show Jessie alarmed at left with dissolve
    j "Oh crap, you're right!"
    j "We better start walking then. We'll walk you home Tessa."
    t "You don't... need to..."
    j "Nah, nah! We can have a laugh along the way!"
    scene black with dissolve
    centered "The Monday after this, Jessie asked Adam out."
    centered "He said yes, apparently he really liked her too."
    centered "He told me that he hadn't mentioned it to me in case I told her."
    centered "But they're happy now and Adam is still my friend."
    centered "I guess everything turned out all right."
    stop music fadeout 2
    centered "Ending 1 of 4."
    return
            
            
            
    
    
    
    
    
    
        
    
    
    
    

